<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
	http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd
	http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd">
	
	<!-- 引入zc-com通用类属性注入配置文件 -->
  <util:properties id="zcparams" location="classpath:params.properties"></util:properties> 

    <!--<dubbo:application name="consumer" owner="programmer" organization="dubbox"/>-->
    
    <dubbo:registry address="zookeeper://182.254.148.254:2181?backup=115.159.48.137:2181,115.159.84.126:2181"/>
    
    <dubbo:annotation package="com.cftech.qy.api" />
    
    <!-- kryo实现序列化
    <dubbo:protocol name="dubbo"  serialization="kryo" optimizer="com.cftech.core.util.SerializationOptimizerImpl" />
      -->
    <!-- 生成远程服务代理，可以像使用本地bean -->
	<!-- 	<dubbo:reference interface="bhz.service.UserService" id="userService" check="false" /> -->
    <!-- 生成远程服务代理，可以像使用本地bean
	<dubbo:reference interface="com.cftech.qy.api.WebHttpInterface" id="webHttpInterfaceImpl" check="false" />
	-->
</beans>